import './index.css';
import * as __WEBPACK_EXTERNAL_MODULE_react_jsx_runtime_225474f2__ from "react/jsx-runtime";
import * as __WEBPACK_EXTERNAL_MODULE_react__ from "react";
const index_module = {
    background: "background-k7Kx8T"
};
const useTopArrived = ()=>{
    const [scrollY, setScrollY] = (0, __WEBPACK_EXTERNAL_MODULE_react__.useState)(0);
    const topArrived = scrollY < 100;
    (0, __WEBPACK_EXTERNAL_MODULE_react__.useEffect)(()=>{
        const handleScroll = ()=>{
            setScrollY(window.scrollY);
        };
        window.addEventListener('scroll', handleScroll, {
            capture: false,
            passive: true
        });
        return ()=>{
            window.removeEventListener('scroll', handleScroll);
        };
    }, []);
    return {
        topArrived
    };
};
const BackgroundImage = ({ navBarTopArrived = true })=>{
    const { topArrived } = useTopArrived();
    (0, __WEBPACK_EXTERNAL_MODULE_react__.useEffect)(()=>{
        if (!navBarTopArrived) return;
        if (topArrived) document.body.classList.remove('notTopArrived');
        else document.body.classList.add('notTopArrived');
    }, [
        topArrived,
        navBarTopArrived
    ]);
    return /*#__PURE__*/ (0, __WEBPACK_EXTERNAL_MODULE_react_jsx_runtime_225474f2__.jsxs)(__WEBPACK_EXTERNAL_MODULE_react_jsx_runtime_225474f2__.Fragment, {
        children: [
            /*#__PURE__*/ (0, __WEBPACK_EXTERNAL_MODULE_react_jsx_runtime_225474f2__.jsx)("style", {
                children: `:root {
              --rp-c-bg: #0b0c0e;
          }
          :root:not(.dark) {
              --rp-c-bg: #fff;
          }
          .rspress-nav {
            transition: background 0.4s;
          }
          body:not(.notTopArrived) .rspress-nav {
            background: transparent !important;
          }
          `
            }),
            /*#__PURE__*/ (0, __WEBPACK_EXTERNAL_MODULE_react_jsx_runtime_225474f2__.jsx)("img", {
                className: index_module.background,
                src: "https://assets.rspack.dev/rspack/assets/landingpage-background-compressed.png",
                alt: "background"
            })
        ]
    });
};
export { BackgroundImage };
